apport-collect error: No module named PyQt5.QtCore

Bug #1451808 reported by Sergio Callegari on 2015-05-05
78
This bug affects 16 people
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
High
Unassigned

Bug Description

In kubuntu vivid, apport reacts as follows:

apport-collect 1451277
ERROR: Could not import module, is a package upgrade in progress? Error: No module named PyQt5.QtCore

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: apport 2.17.2-0ubuntu1
ProcVersionSignature: Ubuntu 3.19.0-15.15-generic 3.19.3
Uname: Linux 3.19.0-15-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.17.2-0ubuntu1
Architecture: amd64
CurrentDesktop: KDE
Date: Tue May 5 14:35:33 2015
EcryptfsInUse: Yes
PackageArchitecture: all
SourcePackage: apport
UpgradeStatus: No upgrade log present (probably fresh install)

Sergio Callegari (callegar) wrote :
Sergio Callegari (callegar) wrote :

Seems to work launching

sudo apport-collect

but then starts web browser as root...

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in apport (Ubuntu):
status: New → Confirmed
Ales (w-ales) wrote :

Same here - clean installation of Kubuntu 15.10:

apport-collect:
ERROR: Could not import module, is a package upgrade in progress? Error: No module named PyQt5.QtCore

tags: added: kubuntu
Val (pubalapoub) wrote :

Same here - clean install of Kubuntu 16.04.

$ apport-collect 1530523
You need to run 'sudo apt-get install python-apport' for apport-collect to work.

$ sudo apt-get install python-apport
[...]
The following additional packages will be installed:
  python-apt python-httplib2 python-keyring python-launchpadlib python-lazr.restfulclient python-lazr.uri python-oauth
  python-pkg-resources python-problem-report python-secretstorage python-simplejson python-wadllib python-zope.interface
[...]

$ apport-collect 1530523
ERROR: Could not import module, is a package upgrade in progress? Error: No module named PyQt5.QtCore

$ apt list *apport* --installed
[...]
apport/xenial,xenial,now 2.20.1-0ubuntu2 all [installed]
apport-kde/xenial,xenial,now 2.20.1-0ubuntu2 all [installed]
apport-symptoms/xenial,xenial,now 0.20 all [installed]
python-apport/xenial,xenial,now 2.20.1-0ubuntu2 all [installed]
python3-apport/xenial,xenial,now 2.20.1-0ubuntu2 all [installed]

Gannet (ken20001) wrote :
summary: - apport-collect broken in kubuntu vivid
+ apport-collect broken in kubuntu
summary: - apport-collect broken in kubuntu
+ apport-collect error: No module named PyQt5.QtCore
tags: added: xenial
Changed in apport (Ubuntu):
importance: Undecided → High
hesediel84 (hesediel84) wrote :

me too

yan (yannn) wrote :

I'm having the same problem in Kubuntu 16.04

Vincas Dargis (talkless) wrote :

Any ideas to workaround it? Same problem on Kubuntu 16.04.

Ray-Ven (ray-ven) wrote :

sudo apt-get install python-pyqt5

Sergio Callegari (callegar) wrote :

Yes, but shouldn't this be a dependency of python-apport?

yan (yannn) wrote :

Workaround from #10 works. Seems to be a missing dependency then.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers